<!-- Source: https://docs.vinsi.ai/api-docs/agent-id -->
# Get Agent by ID

Fetch an agent by ID

```http
GET https://dashboard.vinsi.ai/api/agents/{agentId}
```

## Authentication

Send your API key in the `x-api-key` header. Create keys in the VINSI dashboard under Settings → API Keys.

## Headers

| Name | Type | Required |
|---|---|---|
| Content-Type | string | yes (application/json) |
| x-api-key | string | yes |

## Path parameters

| Name | Example |
|---|---|
| agentId | cm9t3bqos0000l404og1m9a9z |

## Example request

```bash
curl -X GET 'https://dashboard.vinsi.ai/api/agents/cm9t3bqos0000l404og1m9a9z' \
  -H 'x-api-key: YOUR_API_KEY'
```

## Example response

```json
{
  "id": "cmkoak2s90002l704zm7pkxbh",
  "userId": "cmg5ipqwt0000jp04a21yzv8b",
  "name": "New Agent",
  "welcomeMessage": "Thank you for calling. How can I help you today?",
  "instructions": "",
  "voiceId": "",
  "isActive": true,
  "createdAt": "2026-01-21T17:22:57.945Z",
  "updatedAt": "2026-01-21T17:22:58.290Z",
  "temperature": 0.6,
  "maxTokens": 250,
  "language": "en-US",
  "organizationId": "cmg5ipsl00001jp04ujljuq2w",
  "vad_threshold": 0.7,
  "knowledge_base": "",
  "dispositions": [],
  "timezone": "America/Los_Angeles",
  "afterCallWebhookUrl": null,
  "outbound_id": "cmkoak2ut0004l70405u76dw8",
  "mode": "prompt",
  "workflowDefinition": null,
  "firstActionToolId": null,
  "callData": {},
  "waitingSound": "",
  "currentHistoryId": 1548,
  "integrations": null,
  "voicemailMessage": "",
  "allowInterruptions": "",
  "turnDetectionSensitivity": 0.7,
  "turnDetectionSettings": {
    "minEndpointingDelay": 0.5,
    "maxEndpointingDelay": 3,
    "minInterruptionDuration": 0.35,
    "minInterruptionWords": 1,
    "userAwayTimeout": 15,
    "preemptiveGeneration": true,
    "agentFalseInterruptionTimeout": 4,
    "vadMode": "fast"
  },
  "voiceIds": [
    "uYXf8XasLslADfZ2MB4u"
  ],
  "voiceSelectionMode": "cycling",
  "outbound": {
    "id": "cmkoak2ut0004l70405u76dw8",
    "userId": "cmg5ipqwt0000jp04a21yzv8b",
    "name": "New Agent",
    "welcomeMessage": "Thank you for calling. How can I help you today?",
    "instructions": "",
    "aimodel": "gpt-4o",
    "voiceId": null,
    "isActive": true,
    "createdAt": "2026-01-21T17:22:58.037Z",
    "updatedAt": "2026-01-21T17:22:58.400Z",
    "temperature": 0.6,
    "maxTokens": null,
    "language": "en-US",
    "organizationId": "cmg5ipsl00001jp04ujljuq2w",
    "vad_threshold": 0.7,
    "knowledge_base": "",
    "dispositions": [],
    "timezone": "America/Los_Angeles",
    "afterCallWebhookUrl": null,
    "outbound_id": null,
    "mode": "prompt",
    "workflowDefinition": null,
    "firstActionToolId": null,
    "callData": {},
    "waitingSound": "",
    "currentHistoryId": 1547,
    "integrations": null,
    "voicemailMessage": "",
    "allowInterruptions": "yes",
    "turnDetectionSensitivity": 0.7,
    "turnDetectionSettings": {
      "minEndpointingDelay": 0.5,
      "maxEndpointingDelay": 3,
      "minInterruptionDuration": 0.35,
      "minInterruptionWords": 1,
      "userAwayTimeout": 15,
      "preemptiveGeneration": true,
      "agentFalseInterruptionTimeout": 4,
      "vadMode": "fast"
    },
    "voiceIds": [
      "uYXf8XasLslADfZ2MB4u"
    ],
    "voiceSelectionMode": "cycling",
    "tools": []
  },
  "tools": []
}
```

